const hlpSch = require('./TaskScheduleHelper.js')
const utilsOds = require('../../utils/ods.js')
const defPolicySections = []

function toView (TASK_ADDITIONAL_PARAMS, activePolicyCache, formType, isGroupTask, isLocked) {
    if(formType === 'Schedule' ) {
        return hlpSch.toView(TASK_ADDITIONAL_PARAMS.Schedule)
    }
    else if(formType === 'Main'){
        let data = utilsOds.toFormsScanQuarantine(TASK_ADDITIONAL_PARAMS.Settings);
        data.Form_OnDemand_ScanScope.ScanQuarantine = true;
        data.Form_OnDemand_ScanScope.isTaskLocked = true;
        data.Form_OnDemand_Options.ScanQuarantine = true;
        data.Form_OnDemand_Options.LocalTask = true;
        data.Form_OnDemand_Options.isTaskLocked = isLocked;
        return data;
    }

    return {}
}

function toRaw(TASK_ADDITIONAL_PARAMS, changedData, formType) {
    if(formType === 'Schedule' ) {
        hlpSch.toRaw(changedData, TASK_ADDITIONAL_PARAMS.Schedule)
    }
    else if(formType==='Main') {
        TASK_ADDITIONAL_PARAMS.Settings = utilsOds.fromFormsScanQuarantine(changedData, TASK_ADDITIONAL_PARAMS.Settings);
    }
}

module.exports = {
    toView,
    toRaw
};
